LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables

# ofc_sgml.cpp File Reference

OFX/SGML parsing functionnality. More...

Go to the source code of this file.

## Data Structures
class | OFCApplication
| This object is driven by OpenSP as it parses the SGML from the ofx file(s) More...
## Functions
int | ofc_proc_sgml (LibofxContext *libofx_context, int argc, char *argv[])
| Parses a DTD and OFX file(s)
## Variables
SGMLApplication::OpenEntityPtr | entity_ptr
SGMLApplication::Position | position
OfxMainContainer * | MainContainer

## Detailed Description

OFX/SGML parsing functionnality.

Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see http://openjade.sourceforge.net/

Definition in file ofc_sgml.cpp.

## Function Documentation

int ofc_proc_sgml | ( | LibofxContext * | libofx_context,
|  | int | argc,
|  | char * | argv[]
| ) |  |

Parses a DTD and OFX file(s)

ofc_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files.

Definition at line 352 of file ofc_sgml.cpp.

Referenced by libofx_proc_buffer(), and ofx_proc_file().

## Variable Documentation

SGMLApplication::OpenEntityPtr entity_ptr

Global for determining the line number in OpenSP

Definition at line 25 of file messages.cpp.

SGMLApplication::Position position

Global for determining the line number in OpenSP

Definition at line 26 of file messages.cpp.